
QGIS Application - Bug report #9252

QGIS crashes if graduate mode is set without choosing particular column

2013-12-25 05:51 PM - dr -

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17868

Description

1. Open vector layer

2. Layer Properties - Styles - Graduated

3. Don't fill Column field

4. Set mode to Quantile

5. QGIS crashes

Associated revisions

Revision 7507cfcd - 2013-12-26 10:06 PM - Matthias Kuhn

Safety checks for classification algorithms (Fix #9252)

History

#1 - 2013-12-25 11:30 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

Does not happen on latest master/linux, are you on Windows?

#2 - 2013-12-25 11:49 PM - dr -

I'm also use latest master/linux (Ubuntu).

#3 - 2013-12-26 01:07 PM - Matthias Kuhn

- Status changed from Feedback to Closed

Fixed in changeset commit:"7507cfcd3fcd57b059da7a5337bce0ff1ec6b9fe".
